﻿using System;

namespace tablice_jednowymiarowe_cz1
{
    internal class Program
    {
        //Zmienna statyczna – w programowaniu jest to zmienna,
        //która w danym bloku programu posiada dokładnie jedną instancję
        //i istnieje przez cały czas działania programu.
        //W języku C++ każda zmienna globalna jest jednocześnie zmienną statyczną.
        //incjacja danych statycznych
        static int[] tabZad1 = new int[10] { 99, 3, 5, 18, 21, 45, 67, 34, 98, 41 };
        static int[] tabZad2 = new int[100];
        static Random los = new Random();//generator liczb losowych

        static void zad1()
        {
            //pokaż tablicę
            for (int i = 0; i < 10; i++)
                Console.WriteLine(tabZad1[i]);
            //podejście bardziej elastyczne w stosunku do rozmiaru tablicy
            //To samo ale z odczytem rozmiaru liczności tablicy
            Console.WriteLine("***To samo, ale z odczytem rozmiaru tablicy***");
            for (int i = 0; i < tabZad1.Length; i++)
                Console.WriteLine(tabZad1[i]);
        }

        static void zad2()
        {
            //włącz generator liczb losowych
            for (int i = 0; i < tabZad2.Length; i++)
                tabZad2[i] = los.Next(500) + 1;
            //pokaz tablicę
            for (int i = 0; i < tabZad2.Length; i++)
                 Console.WriteLine(tabZad2[i]);
        }

        static void zad3()
        {
            //korystamy z wyników zadania drugiego
            //losujemy i pokazujemy tablicę o 100 elementach
            zad2();
            //tymczasowo przymij, ze min to pierwszy element
            int min = tabZad2[0],
                id = 0;
            //szukaj najmniejszego elementu
            //oraz ustal jego indeks
            for (int i = 1; i < tabZad2.Length; i++)
            {
                if (tabZad2[i] < min)
                {
                    min = tabZad2[i];
                    id = i;
                }
            }
            Console.WriteLine(
                 "Minimum to: " + min.ToString() + Environment.NewLine
                 + "Indeks minimum " + id.ToString());
        }

        static void zad4()
        {
            //korzystamy z wyników zadania drugiego
            //losujemy i pokazujemy tablicę o 100 elementach
            zad2();
            long suma = 0;
            for (int i = 1; i < tabZad2.Length; i++)
                suma += tabZad2[i];
            Console.WriteLine(
                 "Suma elemntów wynosi " + suma.ToString());
        }

        static void Main(string[] args)
        {
            Console.WriteLine("Witaj w CzD!");
            Console.WriteLine("Zadanie 1:");
            zad1();
            Console.WriteLine("Zadanie 2:");
            zad2();
            Console.WriteLine("Zadanie 3:");
            zad3();
            Console.WriteLine("Zadanie 4:");
            zad4();
        }
    }
}
